#
# spec file for package python-anymarkup-core
#
# Copyright (c) 2020 SUSE Software Solutions Germany GmbH.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-anymarkup-core
Version:        0.8.1
Release:        bp154.1.19
Summary:        Core library for anymarkup
License:        BSD-3-Clause
URL:            https://github.com/bkabrda/anymarkup-core
Source0:        https://github.com/bkabrda/anymarkup-core/archive/v%{version}/anymarkup-core-%{version}.tar.gz
Group:          Development/Languages/Python
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module configobj}
BuildRequires:  %{python_module flexmock}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module xmltodict}
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module toml}
BuildRequires:  %{python_module json5}

BuildRequires:  fdupes
BuildArch:      noarch

%python_subpackages

%description
This is the core library that implements functionality of
python-anymarkup.

%prep
%setup -q -n anymarkup-core-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%{python_expand rm -rf _build*/ build/
$python setup.py test
}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Dec  1 2020 Marcus Schaefer <ms@suse.com>
- version 0.8.1
* Tue Dec  1 2020 Marcus Schaefer <ms@suse.com>
- Initial submission for anymarkup core library jsc#SLE-16925
